//////////////////////////////////////////////////////////
//								
//	Simple Program to Illustrate Layered Rendering		
//								
//		    Suryakant Patidar 'skp'			
//		 	skp@research.iiit.ac.in		
//			http://cvit.iiit.ac.in	
//
/////////////////////////////////////////////////////////

#version 120
#extension ARB_draw_buffers : require
#extension EXT_gpu_shader4 : require
#extension EXT_geometry_shader4 : require

//3D Texture Sampler
sampler2DArray samp;

void main() 
{
	vec3 coord = vec3(0.0);

	//Using the Texture Coordinates manipulated
	//manipulated in Vertex Shader to render the
	//correct layer

	if ( gl_TexCoord[0].x < 0.0) 
	{
		coord.z = 0.0; 
		coord.xy = gl_TexCoord[0].xy + vec2( 1, 0);
	}
	else 
	{
		coord.z = 1.0; 
		coord.xy = gl_TexCoord[0].xy + vec2( 0, 0);
	}
	gl_FragColor = texture2DArray( samp, coord);
}
